## Tooltips.PanelItemTooltip Tooltips.PanelItemTooltip |

## Functions

| _init ()

## Properties

Applet.Applet | _panelItem |
St.Side | orientation |

## Object Hierarchy

        Object
        ╰── Tooltips.TooltipBase
            ╰── Tooltips.Tooltip
                ╰── Tooltips.PanelItemTooltip

## Description

A tooltip for panel applets. This is displayed above/below the panel instead of at exactly the mouse position to avoid covering the applet.

It is possible that `panelItem` is not an applet, but a child of an applet. An immediate example is for use in the window list, where each individual item, instead of the applet, has its own tooltip. These objects must have `panelItem._applet` set as the actual applet, since we need to access the applet to listen to orientation changes.

## Functions

### _init ()

    _init (Applet.Applet   panelItem,
           string          initTitle,
           St.Side         orientation);

It should be noted that `panelItem` is the applet owning the tooltip, while that usually passed to `Tooltips.Tooltip` is the actor. These are different objects.

#### Parameters

panelItem | the applet owning the tooltip |
initTitle | the initial string of the tooltip |
orientation | the orientation of the applet. |

## Property Details

### The `“_panelItem”` property

      “_panelItem”               Applet.Applet

The applet owning the tooltip

### The `“orientation”` property

      “orientation”              St.Side

The orientation of the applet